# $Revision: 1.10 $, $Date: 2008-04-08 18:43:10 $
Summary:	Program to send (Nagios) alerts via jabber
Summary(pl.UTF-8):	Program do wysyłania alarmów (Nagiosa) przez jabbera
Name:		nagios-alert-jabber
Version:	1.2
Release:	2
License:	GPL
Group:		Networking
Source0:	nagios-jabber.alert
Requires:	cyrus-sasl-plain
Requires:	nagios-common
Requires:	python-M2Crypto
Requires:	python-pyxmpp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios

%description
nagios-jabber.alert is a program to send Nagios (or other)
notifications over jabber protocol.

%description -l pl.UTF-8
nagios-jabber.alert to program do wysyłania powiadomień Nagiosa (lub
innych) po protokole jabber.

%prep
%setup -q -c -T
install %{SOURCE0} .
cat <<'EOF' > jabber-notify.ini
; jabber id and password for jabber-notify script
[jabber_id@example.org]
jid = jid@example.org
password = PASSWORD
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}}
install nagios-jabber.alert $RPM_BUILD_ROOT%{_sbindir}/nagios-notify-jabber
cp -a jabber-notify.ini $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber-notify.ini
%attr(755,root,root) %{_sbindir}/nagios-notify-jabber

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-alert-jabber.spec,v $
Revision 1.10  2008-04-08 18:43:10  glen
- release 2

Revision 1.9  2007-03-06 07:17:31  luzik
- new version (added digest auth method)

Revision 1.8  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.6  2006/11/13 09:27:35  glen
- not world readable file with password; rel 2

Revision 1.5  2006/11/13 09:05:38  glen
- version 1.1: config file support

Revision 1.4  2006/10/30 19:18:24  glen
- deps for using ssl

Revision 1.3  2006/03/18 22:40:39  qboosh
- pl

Revision 1.2  2006/03/14 22:03:59  glen
- no md5

Revision 1.1  2006/03/14 22:02:48  glen
- new
